# PASNString Class Reference

A descendant of PASNObject which is a simple ASN OctetStr type. More...

`#include <pasn.h>`

Inheritance diagram for PASNString:

List of all members.

## Public Member Functions

| PASNString (const PString &str)
| PASNString (const BYTE *ptr, int len)
| PASNString (const PBYTEArray &buffer, PASNObject::ASNType=String)
| PASNString (const PBYTEArray &buffer, PINDEX &ptr, PASNObject::ASNType=String)
void | PrintOn (ostream &strm) const
| Virtual functions used by the PObject::operator<< function to print the value of the object.
void | Encode (PBYTEArray &buffer)
| Virtual function used to encode the object into ASN format.
WORD | GetEncodedLength ()
| Virtual function used to get the length of object when encoded into ASN format.
PObject * | Clone () const
| Virtual function used to duplicate objects.
PString | GetString () const
| Return the value of the object as a PString.
ASNType | GetType () const
| Return a value of type enum ASNType which indicates the type of the object.
PString | GetTypeAsString () const
| Return a string giving the type of the object.

## Protected Member Functions

PBoolean | Decode (const PBYTEArray &buffer, PINDEX &i, PASNObject::ASNType type)
void | Encode (PBYTEArray &buffer, PASNObject::ASNType type)

## Protected Attributes

PString | value
WORD | valueLen

## Detailed Description

A descendant of PASNObject which is a simple ASN OctetStr type.

## Constructor & Destructor Documentation

PASNString::PASNString | ( | const PString & | str | ) |

PASNString::PASNString | ( | const BYTE * | ptr,
|  | int | len |
| ) |  |  |

PASNString::PASNString | ( | const PBYTEArray & | buffer,
|  | PASNObject::ASNType | = `String` |
| ) |  |  |

PASNString::PASNString | ( | const PBYTEArray & | buffer,
|  | PINDEX & | ptr,
|  | PASNObject::ASNType | = `String` |
| ) |  |  |

## Member Function Documentation

PObject* PASNString::Clone | ( |  | ) | const`[virtual]`

Virtual function used to duplicate objects.

Reimplemented from PASNObject.

Reimplemented in PASNIPAddress.

PBoolean PASNString::Decode | ( | const PBYTEArray & | buffer,
|  | PINDEX & | i,
|  | PASNObject::ASNType | type |
| ) |  |  | `[protected]`

void PASNString::Encode | ( | PBYTEArray & | buffer,
|  | PASNObject::ASNType | type |
| ) |  |  | `[protected]`

void PASNString::Encode | ( | PBYTEArray & | buffer | ) | `[inline, virtual]`

Virtual function used to encode the object into ASN format.

Reimplemented from PASNObject.

Reimplemented in PASNIPAddress.

WORD PASNString::GetEncodedLength | ( |  | ) | `[virtual]`

Virtual function used to get the length of object when encoded into ASN format.

Reimplemented from PASNObject.

PString PASNString::GetString | ( |  | ) | const`[virtual]`

Return the value of the object as a PString.

This function can be use for all ASN object types

Reimplemented from PASNObject.

Reimplemented in PASNIPAddress.

ASNType PASNString::GetType | ( |  | ) | const`[virtual]`

Return a value of type enum ASNType which indicates the type of the object.

Reimplemented from PASNObject.

Reimplemented in PASNIPAddress.

PString PASNString::GetTypeAsString | ( |  | ) | const`[virtual]`

Return a string giving the type of the object.

Reimplemented from PASNObject.

Reimplemented in PASNIPAddress.

void PASNString::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Virtual functions used by the PObject::operator<< function to print the value of the object.

Reimplemented from PASNObject.

## Member Data Documentation

PString PASNString::value `[protected]`

WORD PASNString::valueLen `[protected]`

The documentation for this class was generated from the following file:

- pasn.h